﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="fr">
<head>

<title>Galerie d'images Pierrez</title>

<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<link href="ajax-slideshow.css" rel="stylesheet" type="text/css" />
<script src="ajax-slideshow.js" type="text/JavaScript" charset="utf-8"></script>
<script src="xmlParse.js" type="text/JavaScript" charset="utf-8"></script>

	<script type="text/JavaScript" charset="utf-8">
	// <![CDATA[
	
	// -----------------------------------------------------------------------------------
	// 
	// This page coded by Scott Upton
	// http://www.uptonic.com | http://www.couloir.org
	//
	// This work is licensed under a Creative Commons License
	// Attribution-ShareAlike 2.0
	// http://creativecommons.org/licenses/by-sa/2.0/
	//
	// Associated API copyright 2002, Travis Beckham (www.squidfingers.com)
	//
	// -----------------------------------------------------------------------------------
	// --- version date: 04/30/05 -------Modifier par Emmanuel Pierrez en juin 2008-------
	
	var photoDir = "galerie/"; // Location of photos for gallery
	var borderSize = 6;	 // = 2x CSS border size
	
	// get current photo id from URL
	var thisURL = document.location.href;
	var splitURL = thisURL.split("#");
	var photoId = splitURL[1] - 1;
	
	// if no id in query string then set to 0
	photoId = (!photoId)? 0:photoId;
		
	// Define each photo's name, height, width, and caption
	var photoArray = new Array(
	<?php
	
	function dirList ($directory){
	$results = array();
	//$handler = opendir($directory);
	//while ($file = readdir($handler)) {
	//if ($file != '.' && $file != '..')
	if (file_exists('galerie.xml')) {
		$xml = simplexml_load_file('galerie.xml');
		$results = $xml->xpath('/set/info/source/@uri');
		//var_dump($xml);
	} else {
	    exit('Echec lors de l\'ouverture du fichier galerie.xml.');
	}
	
	//$results[] = $file;
				
	sort($results);
	
	//closedir($handler);
	return $results;
	}
	
	function listMC ($motclef){
	$results = array();
	// ouvrir index.xml
	if (file_exists('index.xml')) {
		$xml = simplexml_load_file('index.xml');
		//var_dump($xml);
	} else {
	    exit('Echec lors de l\'ouverture du fichier index.xml.');
	}
	
	// charger dans $katalog les images correspondant à get motclef
	$results = $xml->xpath("/index/term[descendant::*='" . $motclef . "']/see/@uri"); //[/primary='" . $motclef . "']
	
	sort($results);
	
	return $results;
	}
	 
	if (!$_GET['motclef']) {  
	 
		$katalog = (dirList("./galerie"));
		$suma = count($katalog)-1;
	
	} else {
	
		$katalog = (listMC(rawurldecode($_GET['motclef'])));
		//echo htmlentities(rawurldecode($_GET['motclef']));
		$suma = count($katalog);
	
	}
	
	
	

	for ($i=0;$i<$suma;$i++)
	{
	$j = $i+1;
	$plik = $katalog[$i];
	$size = getimagesize("galerie/$plik");
	$szerokosc = $size[0];
	$wysokosc = $size[1];
	if ($i==$suma-1) {print "new Array(\"$plik\", \"$szerokosc\", \"$wysokosc\", \"Photo numéro: $j\")\n"; }else{
	print "new Array(\"$plik\", \"$szerokosc\", \"$wysokosc\", \"Photo numéro: $j\"),\n";}
	}
	?>
	);
	
	// Number of photos in this gallery
	var photoNum = photoArray.length;
	
	// Create access to 'Detect' object and a place to put instances of 'HTMLobj'
	API = new Detect();
	
	// CREATE INSTANCES & LOAD
	loadAPI = function(){
		// Instantiate HTMLobj
		API.Container		= new HTMLobj('Container');
		API.Photo			= new HTMLobj('Photo');
		API.PhotoContainer	= new HTMLobj('PhotoContainer');
		API.LinkContainer	= new HTMLobj('LinkContainer');
		API.PrevLink		= new HTMLobj('PrevLink');
		API.NextLink		= new HTMLobj('NextLink');
		API.CaptionBlock	= new HTMLobj('CaptionBlock');
		API.Counter			= new HTMLobj('Counter');
		API.Caption			= new HTMLobj('Caption');
		API.Titre			= new HTMLobj('Titre');
		API.LoadImg			= new HTMLobj('LoadImg');
		API.metadata		= new HTMLobj('metadata');
		
		// Show initial photo
		cyclePhoto(photoId);
	}
	onload = loadAPI;
	
	// Fade in photo when it is loaded from the server
	initFade = function(){
		// Show PhotoContainer again
		API.PhotoContainer.show();
		
		// Be certain the tween is complete before fading, too
		var fade_timer = setInterval('startFade()', 1000);
						
		// Fade photo in when ready and clear listener
		startFade = function(){
			if(API.Container._tweenRunning == false){
				clearInterval(fade_timer);
				
				// Be certain fade is done running before allowing next/previous links to work
				// This avoids rapid fade-in when users click next/previous links in quick succession
				var adv_timer = setInterval('permitNextPrev()', 500);
				
				// Permit next/previous links to function normally when fade is completed
				permitNextPrev = function(){
					if(API.Photo._fadeRunning == false){
						clearInterval(adv_timer);
						
						// Only show links if there is more than one photo in array
						if(photoNum > 1){
							API.LinkContainer.displayShow();
							document.getElementById('NextLink').onclick = nextPhoto;
							document.getElementById('PrevLink').onclick = prevPhoto;
						}
					} else {
						return;
					}
				}
				// Swap out loading animation to spare CPU cycles when hidden anyway
				API.LoadImg.setSrc("images/slideshow/start.gif");
				
				// Show caption again
				API.CaptionBlock.show();
				
				// Fade photo in
				API.Photo.fadeIn(0,15,33);
			} else {
				return;
			}
		}
	}
	
	// Prevent next/previous
	falsify = function(){
		return false;
	}
	
	// Go to next photo
	nextPhoto = function(){
		// Go to next photo
		if(photoId == (photoArray.length - 1)){
			photoId = 0;
		} else {
			photoId++;
		}
		cyclePhoto(photoId);
	}
	
	// Go to previous photo
	prevPhoto = function(){
		// If at start, go back to end
		if(photoId == 0){
			photoId = photoArray.length - 1;
		} else {
			photoId--;
		}
		cyclePhoto(photoId);
	}
	
	// Alter class of elements
	changeElementClass = function(objId,setClass) {
		document.getElementById(objId).className = setClass;
	}
	
	// Function to load subsequent photos in gallery
	cyclePhoto = function(photoId){
				
		// Swap in loading animation
		API.LoadImg.setSrc("images/slideshow/loading_ani2.gif");
		
		// Hide link container if it is not already hidden
		API.LinkContainer.displayHide();
		
		// Hide photo container and caption temporarily
		API.Photo.hide();
		API.Photo.setOpacity(0);
		API.CaptionBlock.hide();
		
		// Get dimensions of photo
		var wNew = photoArray[photoId][1];
		var hNew = photoArray[photoId][2];
		
		// Start tween on a delay
		var wCur = API.Container.getWidth() - borderSize;
		var hCur = API.Container.getHeight() - borderSize;
		
		// Begin tweening on a short timer
		setTimeout('API.Container.tweenTo(easeInQuad, ['+wCur+', '+hCur+'], ['+wNew+','+hNew+'], 7)',500);
		setTimeout('API.LinkContainer.sizeTo('+wNew+','+hNew+')',500);
		setTimeout('API.PrevLink.sizeTo('+wNew/2+','+hNew+')',500);
		setTimeout('API.NextLink.sizeTo('+wNew/2+','+hNew+')',500);
		setTimeout('API.CaptionBlock.sizeTo('+wNew+',18)',500);
		
		// Get new photo source
		var newPhoto = photoDir + photoArray[photoId][0];
		
		// Set source, width, and height of new photo
		API.Photo.setSrc(newPhoto);		
		API.Photo.sizeTo(wNew,hNew);
		
		// Set links to new targets based on photoId
		API.NextLink.setHref("#" + (photoId+1));
		API.PrevLink.setHref("#" + (photoId+1));
		API.Counter.setInnerHtml((photoId+1)+" de "+photoNum+" |");
		API.Caption.setInnerHtml((photoArray[photoId][3])+" |");
		API.Titre.setInnerHtml(photoArray[photoId][0]);
		
		// Event listeners for onload and onclick events
		document.getElementById('Photo').onload = initFade;
		
		// Block next/previous links until permitNextPrev() has fired
		document.getElementById('NextLink').onclick = falsify;
		document.getElementById('PrevLink').onclick = falsify;
		
		request01(photoArray[photoId][0]);
	}
	// ]]>
	</script>

</head>

<body>

<div id="metadata"></div>
<!-- resizable container -->
<div id="Container">
<div id="LinkContainer">
<a href="#" id="PrevLink" onfocus="this.blur();" accesskey="[" title="&laquo; Photo précédente"
class="plainlink"><span>Précédente</span></a><a href="#" id="NextLink" onfocus="this.blur();"
accesskey="]" title="Photo suivante &raquo;" class="plainlink"><span>Suivante</span></a>
</div>
<div id="PhotoContainer"><img id="Photo" src="images/start.gif" alt="" width="300" height="150" /></div>
<div id="LoadContainer"><img id="LoadImg" src="images/loading_ani2.gif" alt="Chargement..." width="48" height="54" /></div>
</div>

<!-- counter and caption -->
<p id="CaptionBlock"><span id="Counter"></span> <span id="Caption"></span> <span id="Titre"></span></p>
<p/>
<?php include('motclef.html'); ?>

</body>
</html>
